# Danh sách lô hàng

* API này dùng để lấy danh sách lô hàng của sản phẩm bán theo lô.

## Request

* Xem [common request params](/v3/readme.md#request-params).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/product/batch?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
         "productId": 1231279144
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key           | Type      | Description                                             |
| ------------- | --------- | ------------------------------------------------------- |
| id            | int       | ID đơn vị tính                                          |
| productId     | int       | ID sản phẩm                                             |
| status        | int       | <p>Trạng thái lô hàng<br>1 = Active<br>2 = Inactive</p> |
| createdAtFrom | timestamp | Thời gian tạo lô từ                                     |
| createdAtTo   | timestamp | Thời gian tạo lô đến                                    |

### Paginator

* Xem cấu trúc chung [tại đây](/v3/readme.md#paginator).

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": "Giá trị để lấy dữ liệu trang tiếp theo"
  },
  "data": [
    {
      "id": "(int) ID lô hàng",
      "productId": "(int) ID sản phẩm",
      "name": "(string) Tên đơn vị tính",
      "manufactureDate": "(string) Ngày sản xuất (Y-m-d)",
      "expiredDate": "(string) Ngày hết hạn (Y-m-d)",
      "status": "(int) Trạng thái lô hàng 1 = Active, 2 = Inactive",
      "createdAt": "(timestamp) Thời gian tạo lô hàng"
    },
    {
      "id": "(int) ID lô hàng",
      "productId": "(int) ID sản phẩm",
      "name": "(string) Tên đơn vị tính",
      "manufactureDate": "(string) Ngày sản xuất (Y-m-d)",
      "expiredDate": "(string) Ngày hết hạn (Y-m-d)",
      "status": "(int) Trạng thái lô hàng 1 = Active, 2 = Inactive",
      "createdAt": "(timestamp) Thời gian tạo lô hàng"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/product/batch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
